This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 853216 - %_infodir, %_mandir, %_defaultdocdir are defined with /usr instead of %{_prefix}
%_infodir, %_mandir, %_defaultdocdir are defined with /usr instead of %{_prefix}
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 14:24 EDT by Orion Poplawski
Modified: 2012-11-09 06:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-09 06:51:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to use %{_prefix} (501 bytes, patch)
2012-10-03 14:01 EDT, Toshio Ernie Kuratomi
no flags Details | Diff

  None (edit)
Description Orion Poplawski 2012-08-30 14:24:39 EDT
Description of problem:

%_infodir, %_mandir, %_defaultdocdir are defined with /usr (or %{_usr}) instead of %{_prefix} making it harder to change the install prefix of packages.

Version-Release number of selected component (if applicable):
redhat-rpm-config-9.1.0-28.fc17.noarch
Comment 1 Toshio Ernie Kuratomi 2012-10-03 14:01:55 EDT
Created attachment 621058 [details]
patch to use %{_prefix}

Proposed patch to use %{_prefix} for the mentioned macros.

Any problems with me applying this?
Comment 2 Fedora Update System 2012-10-03 21:06:30 EDT
redhat-rpm-config-9.1.0-34.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/redhat-rpm-config-9.1.0-34.fc18
Comment 3 Fedora Update System 2012-10-04 13:48:09 EDT
Package redhat-rpm-config-9.1.0-34.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing redhat-rpm-config-9.1.0-34.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15361/redhat-rpm-config-9.1.0-34.fc18
then log in and leave karma (feedback).
Comment 4 Toshio Ernie Kuratomi 2012-11-09 06:51:18 EST
This has been pushed to F18 stable.

Note You need to log in before you can comment on or make changes to this bug.